#
# spec file for package perl-Tk-FontDialog
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Tk-FontDialog
Name:           perl-Tk-FontDialog
Version:        0.190.0
Release:        1699.1.pm.3
# 0.19 -> normalize -> 0.190.0
%define cpan_version 0.19
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Font dialog widget for perl/Tk
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/S/SR/SREZIC/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Tk) >= 800
Requires:       perl(Tk) >= 800
Provides:       perl(Tk::FontDialog) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Tk::FontDialog implements a font dialog widget.

The dialog is displayed by calling the *Show* method. The returned value is
either the selected font (if the dialog was closed with the Ok button) or
undef (otherwise). The exact type of the return value is either a Tk::Font
object (in Tk800) or a font name string (usually something like 'font1').
Both can be used as values in Tk '-font' options. See
GetDescriptiveFontName

In the Family and Size listboxes, the font family and font size can be
specified. The checkbuttons on the right turn on bold, italic, underlined
and overstriked variants of the chosen font. A sample of the font is shown
in the middle area.

With the "Alt sample" checkbutton, it is possible to show all characters in
the charset instead of the default text. "Fixed only" restricts the font
family list to fixed fonts only. If the "Nicefonts" checkbutton is set,
then the font names in the listbox are displayed in the corresponding font.
Note that this option can be slow if a lot of fonts are installed or for 16
bit fonts.

A click with the right button in the font size listbox pops up a window to
enter arbitrary font sizes.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -path "*/scripts/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Thu Jul 25 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.190.0 (0.19)
  see /usr/share/doc/packages/perl-Tk-FontDialog/Changes
  0.19	2024-07-24
  - minor distribution care (by dod38fr and manwar)
  - CI changes (remove travis, add github workflow)
* Fri Mar 24 2017 coolo@suse.com
- updated to 0.18
  see /usr/share/doc/packages/perl-Tk-FontDialog/Changes
  0.18	2017-03-22
  - no real code changes, just fixes for perlcritic and cpants
  issues (by viviparous and Mohammad S Anwar)
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.17
  see /usr/share/doc/packages/perl-Tk-FontDialog/Changes
  0.17
  - no code changes, just a test fix
  0.16
  - no code changes, just a minor Pod fix (RT #51766)
  and changed the repo address to github
* Sat Mar 12 2011 pascal.bleser@opensuse.org
- initial version (0.15)
